Subject: Re: bug#18304: 24.3.92; Making and using side windows

From: martin rudalics <[email-masked]>
Date: Thu, 21 Aug 2014 11:24:18 +0200

> emacs -q --eval '(display-buffer-in-major-side-window (current-buffer) (quote right) 0)' -f calendar
 >
 > I get an error:
 >
 > Debugger entered--Lisp error: (error "Cannot split side window or parent of side window")
 >    signal(error ("Cannot split side window or parent of side window"))
 >    error("Cannot split side window or parent of side window")
 >    byte-code(...)
 >    split-window(nil nil)
 >    split-window-below()
 >    calendar-basic-setup(nil)
 >    calendar(nil)
 >    call-interactively(calendar record nil)
 >    command-execute(calendar record)
 >    execute-extended-command(nil "calendar")
 >    call-interactively(execute-extended-command nil nil)
 >    command-execute(execute-extended-command)
 >
 > I have no idea if this is a bug

There were at least two bugs here, namely

(1) `calendar-basic-setup' calls `split-window-below' without checking
      whether the selected window can be split at all.

(2) `window-splittable-p' doesn't check whether the argument window is a
     side window.

Both should be fixed with revision 117719 on trunk.

 > because I don't know how the user is
 > supposed to use/create side windows (see also #18170).

Bugs like the ones you found here should get fixed before promoting side
windows generally.

BTW, if you intend to put the calendar in a side window

emacs -q --eval '(display-buffer-in-major-side-window (current-buffer) (quote bottom) 0)' -f calendar

should look better.

martin